## Общая структура драйвера

```
    ┌───────────────────────────┐
    │                           │
    │        Устройство         │
    │                           │
    └─────────────▴─────────────┘
                  │
    ┌─────────────┴─────────────┐                       ┌───────────────────────────┐
    │                           │                       │                           │
    │     Драйвер (devc-*)      ◂───▸ /dev/ser* ◂── * ──┤   Клиентское приложение   │
    │                           │                       │                           │
    └───────────────────────────┘                       └───────────────────────────┘
```



## Дерево исходных кодов

```
|- devc/
|  |- ser8250/          - Исходный код драйвера последовательных 8250-совместимых устройств
|  |- serexar/          - Исходный код драйвера последовательных устройств, совместимых с контроллером Exar XR17V354/358
|  |- common.mk         - Параметры сборки драйверов
|  `- Makefile          - Правила сборки дерева исходников
|
`- Makefile             - Правила сборки дерева исходников
```



## Сборка драйвера

- Установить и настроить [комплект разработчика](https://help.kpda.ru/neutrino/2020/help/topic/ru.kpda.doc.dev_tools_ru/html/devkit/devkit.html) для [ЗОСРВ "Нейтрино" редакции 2020](https://help.kpda.ru/neutrino/2020/help/index.jsp).
- Выполнить команду:

```
make
```



## Запуск драйвера и обращение к нему

Общая схема запуска драйвера:

```
devc-ser8250 -b115200 3f8,4 2f8,3
```
